.cabinet {
  position: fixed;
  color:#000000;
  text-align: center;
  font-size: 13px;
  transition: all cubic-bezier(.19, 1, .22, 1);
  transition-duration: .4s;
}

.cabinet-drawer {
  position: absolute;
	top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 20px
}

.cabinet-knob {
  position: absolute;
  background-color: #00FFFF;
  border: 1px solid #000000;
}

.cabinet.cabinet-open .cabinet-drawer.drawer-open .cabinet-knob {
  background-color: #00FFFF;
  z-index: 10;
}

.cabinet-box {
  position: absolute;
	top: 0;
  right: 0;
  bottom: 0;
  left: -10;
  overflow: hidden;

  background-color:  #00FFFF;
  border: 1px solid;
  border-color:#000000; 
  border-radius: 25px
  padding: 10px;
}

.cabinet-left {
  top: 50px;
  left: 0px;
  height: 80px;
}



.cabinet-left .cabinet-knob,
.cabinet-right .cabinet-knob {
  width: 55px;
  height: 80px;
}

.cabinet-left .cabinet-knob p,
.cabinet-right .cabinet-knob p {
	transform: rotate(-90deg);
	transform-origin: left bottom;
  position: absolute;
  bottom: 10px;
  left: 40px;
	right: -55px;
  overflow: hidden;
}

.cabinet-left .cabinet-drawer:nth-child(1) .cabinet-knob,
.cabinet-right .cabinet-drawer:nth-child(1) .cabinet-knob {
  top: 0px;
}
.cabinet-left .cabinet-drawer:nth-child(2) .cabinet-knob,
.cabinet-right .cabinet-drawer:nth-child(2) .cabinet-knob {
  top: calc(100px - 10px);
}
.cabinet-left .cabinet-drawer:nth-child(3) .cabinet-knob,
.cabinet-right .cabinet-drawer:nth-child(3) .cabinet-knob {
  top: calc(200px - 20px);
}
.cabinet-left .cabinet-drawer:nth-child(4) .cabinet-knob,
.cabinet-right .cabinet-drawer:nth-child(4) .cabinet-knob {
  top: calc(300px - 30px);
}
.cabinet-left .cabinet-drawer:nth-child(5) .cabinet-knob,
.cabinet-right .cabinet-drawer:nth-child(5) .cabinet-knob {
  top: calc(400px - 40px);
}

.cabinet-left .cabinet-knob {
	right: -50px;
	border-radius: 0px 10px 10px 0px;
	box-shadow: 2px 2px 5px 0px #aaa;
}

.cabinet-left.cabinet.cabinet-open .cabinet-drawer.drawer-open .cabinet-knob {
	box-shadow: 5px 5px 10px 0px #aaa;
}

.cabinet-right .cabinet-knob {
	left: -50px;
	border-radius: 10px 0px 0px 10px;
	box-shadow: -2px 2px 5px 0px #aaa;
}

.cabinet-right.cabinet.cabinet-open .cabinet-drawer.drawer-open .cabinet-knob {
	box-shadow: -5px 5px 10px 0px #aaa;
}







